<?php
/**
 * Filename: _pages.php
 * Created by: Voodoo Suite Plugins
 * Copyright:2018 All Rights Reserved - Voodoo Suite Plugins
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class funnelVoodooPages {
	var $path;
	var $pages;

	function __construct() {
		$this->path     = FUNNELVOODOO_PATH .'tmpl';

		$this->pages    = array(
			'main'  => array(
				'title' => 'Main',
				'file'  => 'main.php'
			),

			'manage'    => array(
				'title' => 'Manage',
				'file'  => 'manage.php'
			)
		);


		add_action('init', array($this, 'init'));
	}

	function init() {
		add_action('admin_menu', array($this, 'adminMenu'));
	}

	function adminMenu() {
		add_menu_page(FUNNELVOODOO_NAME, FUNNELVOODOO_NAME, 9, FUNNELVOODOO_CODE, array($this, 'displayPageMain'));
	}



	//* list all pages functions here
	function displayPageMain() {
		extract ($this->pages['main']);
		include_once ($this->path .'/'. $file);
	}

	function displayPageManage() {
		extract ($this->pages['manage']);
		include_once ($this->path .'/'. $file);
	}
}

new funnelVoodooPages();
