<?php
/**
 * Filename: _themes.php
 * Created by: Voodoo Suite Plugins
 * Copyright 2017 - voodoosuite.com <marcus@voodoosuite.com> (http://voodoosuite.com)
 *
 * Skype: blogprofitnetwork
 * Email: marcus@voodoosuite.com
 * GTalk: marcus@voodoosuite.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class funnelVoodooThemes {
	var $themes;

	function __construct() {

		$this->themes = array(
			'theme_1' => array(
				'name'      => 'Theme 1 - White',
				'options'   => array(
					'popup_bg'              => '#000',
					'popup_color'           => '#fff',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'  => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'no',
					'btn_img_src'           => '',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_2' => array(
				'name'      => 'Theme 2 - Gold',
				'options'   => array(
					'popup_bg'              => '#FFDF00',
					'popup_color'           => '#fff',

					'main_bg'               => '#fcb600',
					'main_border_color'     => '#fcb600',

					'headline_color'        => '#fff',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#994700',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'no',
					'btn_img_src'           => '',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#fe7400',
					'btn_color'             => '#39455b',
					'btn_border_color'      => '#994700',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_3' => array(
				'name'      => 'Theme 3 - Green',
				'options'   => array(
					'popup_bg'              => '#008000',
					'popup_color'           => '#fff',

					'main_bg'               => '#e0e7cd',
					'main_border_color'     => '#e0e7cd',

					'headline_color'        => '#fff',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#994700',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'no',
					'btn_img_src'           => '',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#fe7400',
					'btn_color'             => '#39455b',
					'btn_border_color'      => '#994700',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_4' => array(
				'name'      => 'Theme 4 - Yellow',
				'options'   => array(
					'popup_bg'              => '#FFFF00',
					'popup_color'           => '#000',

					'main_bg'               => '#f4fdb0',
					'main_border_color'     => '#f4fdb0',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#f0c101',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'no',
					'btn_img_src'           => '',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ffcd04',
					'btn_color'             => '#fff',
					'btn_border_color'      => '#f0c101',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_5' => array(
				'name'      => 'Theme 5 - Download Now ( Orange Image )',
				'options'   => array(
					'popup_bg'              => '#FFA500',
					'popup_color'           => '#000',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'yes',
					'btn_img_src'           => FUNNELVOODOO_URL .'tmpl/images/buttons/download-now-orange.png',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_6' => array(
				'name'      => 'Theme 6 - Download Now ( Yellow Image )',
				'options'   => array(
					'popup_bg'              => '#FFFF00',
					'popup_color'           => '#000',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'yes',
					'btn_img_src'           => FUNNELVOODOO_URL .'tmpl/images/buttons/download-now-yellow.png',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_7' => array(
				'name'      => 'Theme 7 - Click To Get Started ( Yellow Image )',
				'options'   => array(
					'popup_bg'              => '#FFFF00',
					'popup_color'           => '#000',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'yes',
					'btn_img_src'           => FUNNELVOODOO_URL .'tmpl/images/buttons/click-here-to-get-started-yellow.png',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_8' => array(
				'name'      => 'Theme 8 - Send Me The Video ( Red Image )',
				'options'   => array(
					'popup_bg'              => '#FF0000',
					'popup_color'           => '#FFF',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'yes',
					'btn_img_src'           => FUNNELVOODOO_URL .'tmpl/images/buttons/send-me-the-video-red.png',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			),

			'theme_9' => array(
				'name'      => 'Theme 9 - Get Instant Access ( Yellow Image )',
				'options'   => array(
					'popup_bg'              => '#FFFF00',
					'popup_color'           => '#000',

					'main_bg'               => '#fff',
					'main_border_color'     => '#fff',

					'headline_color'        => '#000',
					'headline_bold'         => 'bold',

					'txtbox_width'          => '80%',
					'txtbox_border_color'   => '#ccc',
					'txtbox_fontsize'       => '12px',

					'btn_img'               => 'yes',
					'btn_img_src'           => FUNNELVOODOO_URL .'tmpl/images/buttons/get-instant-access-yellow.png',
					'btn_img_size'          => 300,

					'btn_value'             => 'YES! Let Me In!',
					'btn_bg'                => '#ccc',
					'btn_color'             => '000',
					'btn_border_color'      => '#ccc',
					'btn_bold'              => 'bold',
					'btn_fontsize'          => '16px'
				)
			)
		);

	}

	function loadThemes($name, $id, $rel = NULL, $selected) {
		if (0 != count($this->themes)) {
			echo '<select name="'. $name .'" id="'. $id .'" rel="'. $rel .'" style="height:40px;">';

				foreach ($this->themes as $k => $theme) {
					echo '<option value="'. $k .'" '. selected($selected, $k) .'>'. $theme['name'] .'</option>';
				}

			echo '</select>';
		}
	}

	function getThemeDetails($id) {
		if ($_POST) {
			$id     = trim(strip_tags($_POST['id']));
			$theme  = $this->themes[$id];

			if (!is_array($theme)) {
				die ('error');
			}
			else {
				die (json_encode($theme));
			}
		}
		die ('error');
	}
}